Holger's Java API

## com.antelmann.webdav
Class CardHeader

    java.lang.Object
      com.antelmann.db.AbstractDBEntry
          com.antelmann.webdav.CardHeader

All Implemented Interfaces:
  DBEntry, Serializable, Comparable<CardHeader>

    public class CardHeader

extends AbstractDBEntry
implements Comparable<CardHeader>

represents a VCard entry

Since:
  01.03.2017, 18:03:22
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.db.DBEntry
`ENTRY_FLAVOR, ENTRY_LIST_FLAVOR`

Constructor Summary
`CardHeader(String refId, String name, String etag)`

Method Summary
`int` `compareTo(CardHeader o)`
`String` `getEtag()`
`String` `getName()`
`String` `toString()`

Methods inherited from class com.antelmann.db.AbstractDBEntry
`equals, getID, hashCode, hashEntry, sameEntry`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardHeader

    public CardHeader(String refId,
                      String name,
                      String etag)

Method Detail

### getName

    public String getName()

### getEtag

    public String getEtag()

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractDBEntry`

### compareTo

    public int compareTo(CardHeader o)

  Specified by:
    `compareTo` in interface `Comparable<CardHeader>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads